Save Shared Network Workspace
Save Shared Network Workspace. This POST operation is exposed from the servers router on EnderDash's tRPC HTTP API surface. Authentication is required with either a signed-in session cookie or a user API key.
Save Shared Network Workspace. This POST operation is exposed from the servers router on EnderDash's tRPC HTTP API surface. Authentication is required with either a signed-in session cookie or a user API key.
Signed-in EnderDash browser session cookie.
In: cookie
Request Body
application/json
Serialized tRPC procedure input for this mutation. Responses use the standard tRPC HTTP result envelope.
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://app.enderdash.com/api/trpc/servers.saveSharedNetworkWorkspace" \ -H "Content-Type: application/json" \ -d '{ "organizationId": "string", "document": { "version": 3, "layout": { "grid": { "root": { "type": "leaf", "data": { "views": [ "string" ], "id": "string" } }, "height": 0, "width": 0, "orientation": "HORIZONTAL" }, "panels": { "property1": { "id": "string" }, "property2": { "id": "string" } } }, "tiles": { "property1": { "kind": "server", "serverId": "string", "panelType": "permissions" }, "property2": { "kind": "server", "serverId": "string", "panelType": "permissions" } } } }'{ "result": { "data": { "saved": true } }}{ "error": { "message": "string", "code": -32001, "data": { "code": "UNAUTHORIZED", "httpStatus": 0, "path": "string", "stack": "string" } }}Regenerate Agent Key POST
Regenerate Agent Key. This POST operation is exposed from the servers router on EnderDash's tRPC HTTP API surface. Authentication is required with either a signed-in session cookie or a user API key.
Save Shared Server Workspace POST
Save Shared Server Workspace. This POST operation is exposed from the servers router on EnderDash's tRPC HTTP API surface. Authentication is required with either a signed-in session cookie or a user API key.